• Imagemagick


    Hola, antes tenía instalado imagemagick pero daba un error en pamac y no se actualizaba, lo desinstalé y lo intenté volver a instalar pero me da estos errores.
    https://i.imgur.com/SXbF38e.png
    Saludos

  • @Terrs said in Imagemagick:

    Hola, antes tenía instalado imagemagick pero daba un error en pamac y no se actualizaba, lo desinstalé y lo intenté volver a instalar pero me da estos errores.

    borre estos archivos o fuerce la instalación en la terminal con:
    sudo pacman -Sf imagemagick

  • error: opción «-f» no válida

  • @Terrs said in Imagemagick:

    error: opción «-f» no válida

    sudo pacman -S imagemagick --force

  • perdón … Comando obsoleto

  • sudo pacman -Syyu
    sudo pacman -Rsn imagemagick
    sudo pacman -S imagemagick
    
  • Acaban de actualizar imagemagick.

  • [moderation]
    @manuel said in Imagemagick:

    sudo pacman -Rsn imagemagick

    sudo pacman -Rsn imagemagick                                                                             1 ↵
    checking dependencies...
    error: failed to prepare transaction (could not satisfy dependencies)
    

    may first let the questioner respond to what is givin already, and if it do not work we can take a look from another side…
    [/moderation]

  • @joekamprad
    You’re right, that command gives even more trouble because of dependencies.
    Let’s see how it goes.
    Tienes razón, ese comando da incluso más problemas debido a las dependencias.
    Veamos cómo va.

  • Imagemagick 6.9.9.25-1 no se instala, tampoco otras versiones de AUR.
    sudo pacman -Rsn imagemagick
    error: no se ha encontrado el objetivo: imagemagick

    sudo pacman -S imagemagick
    Pastebin:
    https://pastebin.com/a4NKGSEM

  • @manuel you see? ;)

  • @Terrs El comando que debe usar es lo que le damos antes:

    sudo pacman -S imagemagick --force
    

    esto sobrescribirá los archivos ya existentes que hacen el error por ti…

  • Muchas gracias, esto último funcionó.
    Por curiosidad, probé con sudo bleachbit pero no borraba los archivos de Imagemagick. Yo tengo la versión de Bleachbit 1.12 ¿cómo puedo instalar en Antergos la v.1.17beta? No está en repositorios.
    https://download.bleachbit.org/beta/1.17/

  • @Terrs said in Imagemagick:

    Muchas gracias, esto último funcionó.
    Por curiosidad, probé con sudo bleachbit pero no borraba los archivos de Imagemagick. Yo tengo la versión de Bleachbit 1.12 ¿cómo puedo instalar en Antergos la v.1.17beta? No está en repositorios.

    yaourt -S bleachbit-git
    
  • @joekamprad said in Imagemagick:

    bleachbit-git

    ¿bleachbit-git r3879.f3876be9-1 es la versión 1.17beta?

  • si si ;) 0_1512134490752_Bildschirmfoto vom 2017-12-01 14-21-18.png

  • @Terrs said in Imagemagick:

    @joekamprad said in Imagemagick:

    bleachbit-git

    ¿bleachbit-git r3879.f3876be9-1 es la versión 1.17beta?

    $ yaourt bleachbit-git
    1 aur/bleachbit-git r3879.f3876be9-1 (6) (0,34)
        Deletes unneeded files to free disk space and maintain privacy.
    

    https://aur.archlinux.org/packages/bleachbit-git/

    https://github.com/bleachbit/bleachbit

  • @joekamprad
    Yes I see. :)
    How did this problem occur in the first place? How was imagemagick not installed but there still were files from it?
    Was it maybe leftovers from manual install of imagemagick from their website, or from AUR?

  • @manuel una actualización cancelada eventualmente…

  • @joekamprad OK, that sounds likely.

imagemagick1 Posts 26Views 1238
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.